effective_permissions describes what a member can do BY VIRTUE OF THISteam_id (int): ID of the team to read.X-Authorization-Consistency-Token (string, optional): Authorizationmanage (admin) on the organization the read is scoped to.team_id, team_name, organization_id, permission_sets and —effective_permissions.curl --location --globoff 'https:///api/v2/teams//permission-sets' \
--header 'X-Authorization-Consistency-Token;' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"success": true,
"message": "string",
"data": {
"team_id": 0,
"team_name": "string",
"organization_id": 0,
"effective_permissions": {
"agents": {
"view": [
"all"
],
"edit": [
"all"
],
"delete": [
"all"
],
"publish": [
"all"
],
"create": true
},
"corpora": {
"view": [
"all"
],
"edit": [
"all"
],
"delete": [
"all"
],
"create": true
},
"workflows": {
"view": [
"all"
],
"edit": [
"all"
],
"delete": [
"all"
],
"create": true
}
},
"permission_sets": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"source": "direct",
"team": {
"id": 0,
"name": "string"
},
"permissions": {
"agents": {
"view": "all",
"edit": "all",
"delete": "all",
"publish": "all",
"create": true
},
"corpora": {
"view": "all",
"edit": "all",
"delete": "all",
"create": true
},
"workflows": {
"view": "all",
"edit": "all",
"delete": "all",
"create": true
}
}
}
]
}
}